> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/plugin/plugin-version-batching-configuration.md).

# Plugin Version Batching Configuration

Operations related to Plugin Version Batching Configurations that aggregate multiple feeds updates into larger batches before sending to partners, with settings like batch\_flush\_max\_size for partners requiring small bulk data uploads instead of unitary API calls.

## PUT /plugins/{plugin\_id}/versions/{plugin\_version\_id}/batching\_configurations/{plugin\_version\_batching\_configuration\_id}

> Update a Plugin Version Batching Configuration

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Batching Configuration","description":"Operations related to Plugin Version Batching Configurations that aggregate multiple feeds updates into larger batches before sending to partners, with settings like batch_flush_max_size for partners requiring small bulk data uploads instead of unitary API calls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/batching_configurations/{plugin_version_batching_configuration_id}":{"put":{"parameters":[{"in":"path","description":"ID of the plugin","required":true,"explode":false,"name":"plugin_id","schema":{"type":"string"},"style":"simple"},{"description":"ID of the plugin version","style":"simple","required":true,"in":"path","explode":false,"schema":{"type":"string"},"name":"plugin_version_id"},{"description":"ID of the Plugin Version Batching Configuration","explode":false,"required":true,"schema":{"type":"string"},"name":"plugin_version_batching_configuration_id","style":"simple","in":"path"}],"summary":"Update a Plugin Version Batching Configuration","description":"","requestBody":{"description":"The plugin version batching configuration to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginVersionBatchingConfigurationResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionBatchingConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Plugin Version Batching Configuration"],"operationId":"updatePluginVersionBatchingConfiguration"}}},"components":{"schemas":{"PluginVersionBatchingConfigurationResource":{"type":"object","properties":{"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"enable_batching":{"type":"boolean","default":false,"readOnly":false},"batch_flush_max_size":{"type":"integer","format":"int32","default":0,"readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false}},"required":["batch_flush_max_size","created_by","created_ts","enable_batching","id","last_modified_by","last_modified_ts","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /plugins/{plugin\_id}/versions/{plugin\_version\_id}/batching\_configurations/{plugin\_version\_batching\_configuration\_id}

> Delete a Plugin Version BatchingConfiguration by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Batching Configuration","description":"Operations related to Plugin Version Batching Configurations that aggregate multiple feeds updates into larger batches before sending to partners, with settings like batch_flush_max_size for partners requiring small bulk data uploads instead of unitary API calls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/batching_configurations/{plugin_version_batching_configuration_id}":{"delete":{"parameters":[{"name":"plugin_id","in":"path","required":true,"description":"ID of the plugin","explode":false,"style":"simple","schema":{"type":"string"}},{"style":"simple","required":true,"schema":{"type":"string"},"description":"ID of the plugin version","explode":false,"in":"path","name":"plugin_version_id"},{"explode":false,"description":"ID of the Plugin Version Batching Configuration","style":"simple","schema":{"type":"string"},"in":"path","name":"plugin_version_batching_configuration_id","required":true}],"description":"","tags":["Plugin Version Batching Configuration"],"summary":"Delete a Plugin Version BatchingConfiguration by id","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"deletePluginVersionBatchingConfiguration"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/batching\_configurations

> Get a list of Batching Configurations

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Batching Configuration","description":"Operations related to Plugin Version Batching Configurations that aggregate multiple feeds updates into larger batches before sending to partners, with settings like batch_flush_max_size for partners requiring small bulk data uploads instead of unitary API calls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/batching_configurations":{"get":{"parameters":[{"required":true,"style":"simple","schema":{"type":"string"},"description":"ID of the plugin","name":"plugin_id","explode":false,"in":"path"},{"description":"ID of the plugin version","name":"plugin_version_id","in":"path","style":"simple","schema":{"type":"string"},"explode":false,"required":true},{"description":"batching enable or not","required":false,"style":"form","name":"enable_batching","explode":true,"schema":{"type":"boolean"},"in":"query"}],"tags":["Plugin Version Batching Configuration"],"summary":"Get a list of Batching Configurations","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PluginVersionBatchingConfigurationResource"}},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findPluginVersionBatchingConfigurations"}}},"components":{"schemas":{"PluginVersionBatchingConfigurationResource":{"type":"object","properties":{"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"enable_batching":{"type":"boolean","default":false,"readOnly":false},"batch_flush_max_size":{"type":"integer","format":"int32","default":0,"readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false}},"required":["batch_flush_max_size","created_by","created_ts","enable_batching","id","last_modified_by","last_modified_ts","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /plugins/{plugin\_id}/versions/{plugin\_version\_id}/batching\_configurations

> Create a new Plugin Version Batching Configuration

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Batching Configuration","description":"Operations related to Plugin Version Batching Configurations that aggregate multiple feeds updates into larger batches before sending to partners, with settings like batch_flush_max_size for partners requiring small bulk data uploads instead of unitary API calls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/batching_configurations":{"post":{"tags":["Plugin Version Batching Configuration"],"description":"","requestBody":{"description":"The plugin version Batching Configuration to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginVersionBatchingConfigurationResource"}}},"required":true},"summary":"Create a new Plugin Version Batching Configuration","operationId":"createPluginVersionBatchingConfiguration","parameters":[{"schema":{"type":"string"},"in":"path","name":"plugin_id","explode":false,"required":true,"description":"ID of the plugin","style":"simple"},{"schema":{"type":"string"},"explode":false,"required":true,"in":"path","description":"ID of the plugin version","name":"plugin_version_id","style":"simple"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionBatchingConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PluginVersionBatchingConfigurationResource":{"type":"object","properties":{"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"enable_batching":{"type":"boolean","default":false,"readOnly":false},"batch_flush_max_size":{"type":"integer","format":"int32","default":0,"readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":false}},"required":["batch_flush_max_size","created_by","created_ts","enable_batching","id","last_modified_by","last_modified_ts","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/plugin/plugin-version-batching-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
